# Google Classroom API . userProfiles

## Instance Methods

Returns the guardianInvitations Resource.

Returns the guardians Resource.

Returns a user profile. This method returns the following error codes: * `PERMISSION_DENIED` if the requesting user is not permitted to access this user profile or if no profile exists with the requested ID or for access errors.

### Method Details

`get(userId, x__xgafv=None)`

    Returns a user profile. This method returns the following error codes: * `PERMISSION_DENIED` if the requesting user is not permitted to access this user profile or if no profile exists with the requested ID or for access errors.

    Args:
      userId: string, Identifier of the profile to return. The identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal `"me"`, indicating the requesting user (required)
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # Global information for a user.
        "permissions": [ # Global permissions of the user. Read-only.
          { # Global user permission description.
            "permission": "A String", # Permission value.
          },
        ],
        "photoUrl": "A String", # URL of user's profile photo. Read-only.
        "emailAddress": "A String", # Email address of the user. Read-only.
        "id": "A String", # Identifier of the user. Read-only.
        "name": { # Details of the user's name. # Name of the user. Read-only.
          "fullName": "A String", # The user's full name formed by concatenating the first and last name values. Read-only.
          "givenName": "A String", # The user's first name. Read-only.
          "familyName": "A String", # The user's last name. Read-only.
        },
      }